summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--conf.d/network.Linux3
-rw-r--r--init.d/network.in4
2 files changed, 7 insertions, 0 deletions
diff --git a/conf.d/network.Linux b/conf.d/network.Linux
index 1b6d121..b945a7b 100644
--- a/conf.d/network.Linux
+++ b/conf.d/network.Linux
@@ -3,6 +3,9 @@
# On the other hand, ip (iproute2) is quite powerful and is also supported
#ip_eth0="192.168.0.10/24; 192.168.10.10/24"
+# You can also use ip to add the default route.
+#defaultiproute="192.168.0.1"
+
# ip doesn't handle MTU like ifconfig, but we can do it like so
#ifup_eth0="ip link set \$int mtu 1500"
diff --git a/init.d/network.in b/init.d/network.in
index 7bbe253..0d53f14 100644
--- a/init.d/network.in
+++ b/init.d/network.in
@@ -255,6 +255,10 @@ start()
route add default $defaultroute
fi
eend $?
+ elif [ -n "$defaultiproute" ]; then
+ ebegin "Setting default route $defauliptroute"
+ ip route add default via $defaultiproute
+ eend $?
fi
return 0